Bug 105608 - fdc(4) debugging description staled
Summary: fdc(4) debugging description staled
Status: In Progress
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sevan Janiyan
URL: https://reviews.freebsd.org/D10303
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-16 16:20 UTC by Eugene Grosbein
Modified: 2018-09-09 18:45 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Grosbein 2006-11-16 16:20:05 UTC
	fdc(4) manual page, NOTES and fdcontrol(8) manual page
	describe kernel option FDC_DEBUG that was removed by phk
	2 years ago with the exception of pc98 architecture.
	
	OTOH, the kernel tunnable debug.fdc.debugflags is not documented.
	By the way, I think it should be made loader tunnable also
	to deal with boot-time problems.

Fix: 

Just remove FDC_DEBUG from mentioned manuals and NOTES.
How-To-Repeat: 
	Try to find FDC_DEBUG in modern FreeBSD/i386
Comment 1 commit-hook freebsd_committer 2017-04-07 16:15:12 UTC
A commit references this bug:

Author: sevan
Date: Fri Apr  7 16:14:26 UTC 2017
New revision: 316615
URL: https://svnweb.freebsd.org/changeset/base/316615

Log:
  Remove the last vestiges of FDC_DEBUG & FD_DEBUG
  FDC_DEBUG is not referenced in any c or header files but traces of it
  still remain in other files.

  PR:		105608
  Reported by:	Eugene Grosbein <ports AT grosbein DOT net>
  Reviewed by:	imp
  Approved by:	bcr (mentor)
  MFC after:	7 days
  Differential Revision:	https://reviews.freebsd.org/D10303

Changes:
  head/share/man/man4/fdc.4
  head/sys/conf/NOTES
  head/sys/conf/options
  head/sys/modules/fdc/Makefile
  head/sys/sparc64/conf/NOTES
  head/usr.sbin/fdcontrol/fdcontrol.8
Comment 2 Sevan Janiyan freebsd_committer 2017-04-07 16:23:53 UTC
Removed FDC_DEBUG & FD_DEBUG, now to look into debug.fdc.debugflags.
Comment 3 commit-hook freebsd_committer 2018-09-09 18:09:33 UTC
A commit references this bug:

Author: eugen
Date: Sun Sep  9 18:08:40 UTC 2018
New revision: 338544
URL: https://svnweb.freebsd.org/changeset/base/338544

Log:
  MFC r316615 by sevan: Remove the last vestiges of FDC_DEBUG & FD_DEBUG

  PR:			105608
  Differential Revision:	https://reviews.freebsd.org/D10303

Changes:
_U  stable/11/
  stable/11/share/man/man4/fdc.4
  stable/11/sys/conf/NOTES
  stable/11/sys/conf/options
  stable/11/sys/modules/fdc/Makefile
  stable/11/sys/sparc64/conf/NOTES
  stable/11/usr.sbin/fdcontrol/fdcontrol.8
Comment 4 commit-hook freebsd_committer 2018-09-09 18:11:37 UTC
A commit references this bug:

Author: eugen
Date: Sun Sep  9 18:10:36 UTC 2018
New revision: 338545
URL: https://svnweb.freebsd.org/changeset/base/338545

Log:
  MFC r316615 by sevan: Remove the last vestiges of FDC_DEBUG & FD_DEBUG

  PR:             105608
  Submitted by:   Differential Revision:  https://reviews.freebsd.org/D10303

Changes:
_U  stable/10/
  stable/10/share/man/man4/fdc.4
  stable/10/sys/conf/NOTES
  stable/10/sys/conf/options
  stable/10/sys/modules/fdc/Makefile
  stable/10/sys/sparc64/conf/NOTES
  stable/10/usr.sbin/fdcontrol/fdcontrol.8
Comment 5 Eugene Grosbein freebsd_committer 2018-09-09 18:45:22 UTC
The case is not closed as r316615 was incomplete: it failed to remove reference to opt_fdc.h from sys/dev/fdc/fdc.c and sys/modules/fdc/Makefile, so it broke build and was partially reverted.